/* Theme style */

/* ==========================================================================
Base styles
========================================================================== */

/* Headings
========================================================================== */

/* Paragraphs
========================================================================== */

.is-style-lead {
	font-size: var(--wp--preset--font-size--m);
}

/* Typography spacing
========================================================================== */

p ~ .image-gallery {
	margin-top: var(--wp--preset--spacing--l);
}

/* Links
========================================================================== */

p.is-style-arrow-link {
	color: var(--wp--preset--color--blue) !important;
}

p.is-style-arrow-link a {
	text-decoration: none;
}

.is-style-arrow-link a::after {
	content: url("../images/icon-arrow-right.svg");
	margin-left: var(--wp--preset--spacing--xs);
	filter: brightness(0) saturate(100%) invert(16%) sepia(99%) saturate(2038%) hue-rotate(196deg) brightness(101%)
		contrast(101%);
}

/* Lists
========================================================================== */

.wp-block-heading + .wp-block-list {
	margin-top: var(--wp--preset--spacing--m);
}

/* List of accepted/rejected items */
.is-style-accept-list,
.is-style-reject-list {
	list-style: none;
	margin-left: 0;
}

.is-style-accept-list li,
.is-style-reject-list li {
	position: relative;
	padding-left: 1.75em;
}

.is-style-accept-list li::before {
	content: "✓";
	position: absolute;
	left: 0;
	color: var(--wp--preset--color--blue);
	font-weight: 500;
	font-size: 1.15em;
	line-height: 1.1;
}

.is-style-reject-list li::before {
	content: "×";
	position: absolute;
	left: 0;
	color: #e74c3c;
	font-weight: 500;
	font-size: 1.75em;
	line-height: 0.85;
}

/* 50% of max width */
.is-style-half-width-list {
	max-width: 50%;
	column-count: 2;
	column-gap: calc(2 * var(--wp--style--block-gap));
}

/* Document list */
.is-style-document-list {
	max-width: calc(66% + (2 * var(--wp--style--block-gap)));
	column-count: 2;
	column-fill: balance;
	column-gap: calc(2 * var(--wp--style--block-gap));

	list-style: none;
	padding-left: 0;
	margin-left: 0;
}
.is-style-document-list li {
	position: relative;
	padding-left: 1.25em;
	margin-bottom: 1.25em;
	color: var(--wp--preset--color--blue);
}
.is-style-document-list a:not(:hover) {
	text-decoration: none;
}
.is-style-document-list li::before {
	content: "";
	position: absolute;
	left: 0;
	top: 0.225em;
	width: 20px;
	height: 20px;
	background-image: url(../images/icon-chevron-right-blue.svg);
	background-size: contain;
	background-repeat: no-repeat;
	margin-right: 1rem;
}

@media (max-width: 980px) {
	.is-style-half-width-list,
	.is-style-document-list {
		max-width: 100%;
	}
}

@media (max-width: 670px) {
	.is-style-document-list {
		column-count: 1;
	}
}

@media (max-width: 510px) {
	.is-style-half-width-list {
		column-count: 1;
	}
}

/* Buttons
========================================================================== */

.wp-block-buttons {
	margin-top: var(--wp--preset--spacing--l);
}

.wp-block-button__link {
	min-width: 150px;
}

/* Primary button (core) */

/* Secondary button */
.is-style-button-secondary .wp-block-button__link {
	color: var(--wp--preset--color--white);
	background-color: var(--wp--preset--color--dark-blue);
}

/* Outline button (core) */
.is-style-outline .wp-block-button__link {
	font-weight: inherit;
}

.is-style-outline .wp-block-button__link::after {
	content: url("../images/icon-arrow-right.svg");
	margin-left: var(--wp--preset--spacing--s);
}

/* Outline secondary button */

/* Text button */
.is-style-button-text .wp-block-button__link {
	color: var(--wp--preset--color--black);
	text-decoration: none;
	font-weight: 400;
}

.is-style-button-text .wp-block-button__link::before {
	content: url("../images/icon-arrow-right.svg");
	margin-right: var(--wp--preset--spacing--xs);
}

/* Arrow button */
.wp-block-buttons:has(.is-style-button-arrow) {
	margin-top: var(--wp--preset--spacing--s);
}

.is-style-button-arrow .wp-block-button__link {
	background-color: transparent;
	min-width: auto;
	padding: 0;
}

.is-style-button-arrow .wp-block-button__link img {
	width: 40px !important;
	height: 40px;
}

/* Button on background */

/* Button on background inverted */

/* Button in header */
.wp-block-buttons.header-btn .wp-block-button {
    display: flex;
}

.wp-block-buttons.header-btn .wp-block-button__link {
    display: flex;
	align-items: center;
    min-width: unset;
    font-size: var(--wp--preset--font-size--normal);
	padding: 5px 15px;
}

.wp-block-buttons.header-btn .wp-block-button__link::before {
	content:url('data:image/svg+xml; utf8, <svg xmlns="http://www.w3.org/2000/svg" height="25" width="20" viewBox="0 0 600 600"><!--!Font Awesome Free v7.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2026 Fonticons, Inc.--><path fill="rgb(255, 255, 255)" d="M240 192C240 147.8 275.8 112 320 112C364.2 112 400 147.8 400 192C400 236.2 364.2 272 320 272C275.8 272 240 236.2 240 192zM448 192C448 121.3 390.7 64 320 64C249.3 64 192 121.3 192 192C192 262.7 249.3 320 320 320C390.7 320 448 262.7 448 192zM144 544C144 473.3 201.3 416 272 416L368 416C438.7 416 496 473.3 496 544L496 552C496 565.3 506.7 576 520 576C533.3 576 544 565.3 544 552L544 544C544 446.8 465.2 368 368 368L272 368C174.8 368 96 446.8 96 544L96 552C96 565.3 106.7 576 120 576C133.3 576 144 565.3 144 552L144 544z"/></svg>');
	margin-right: .5em;
}

/* Inputs
========================================================================== */

/* Label */
label {
	font-size: var(--wp--preset--font-size--s);
}

/* Input fields */
input,
textarea,
select {
	background-color: var(--wp--preset--color--white);
	border-color: transparent;
	line-height: inherit;
}

/* Select */

/* Checkbox & radio button */
[type="radio"],
[type="checkbox"],
[type="checkbox"]:checked,
[type="checkbox"]:not(:disabled):checked,
[type="radio"],
[type="radio"]:checked,
[type="radio"]:not(:disabled):checked {
	background-color: var(--wp--preset--color--white);
	border-color: transparent;
}

/* Focus and active statements */
:is(select, input, textarea, radio, checkbox):is(:focus, :checked) {
	background-color: var(--wp--preset--color--white);
}

:is(radio, checkbox):is(:focus, :checked) {
	border-color: transparent;
}

/* Acceptance */

/* Submit */
.submit {
	margin-top: var(--wp--preset--spacing--s);
}

[type="submit"] {
	font-size: var(--wp--preset--font-size--s);
	font-weight: 600;
	background-color: var(--wp--preset--color--blue);
}

/* Contact form 7
========================================================================== */

.wpcf7-form {
	grid-template-columns: repeat(2, minmax(0, 1fr));
}

.wpcf7-form .acceptance,
.wpcf7-form .submit {
	grid-column: 1/-1;
}

.form-customer p:nth-of-type(-n + 1),
.form-customer p:nth-last-of-type(-n + 1),
.form-get-in-touch p:nth-last-of-type(-n + 1),
.form-offer p:nth-last-of-type(-n + 1),
.form-faq p:nth-last-of-type(-n + 1) {
	grid-column: 1/-1;
}

.form-book-pickup p:nth-of-type(-n + 1),
.form-book-pickup p:nth-last-of-type(-n + 1) {
	grid-column: 1/-1;
}

.form-book-container p:nth-of-type(-n + 2),
.form-book-container p:nth-last-of-type(-n + 1) {
	grid-column: 1/-1;
}

.form-rfq p:nth-last-of-type(-n + 1) {
	grid-column: 1/-1;
}

.form-faq p:nth-last-of-type(-n + 1) {
	grid-column: 1/-1;
}

/* Equipment form specific styles */
.wpcf7-form.form-equipment {
	grid-gap: var(--wp--preset--spacing--l);
}



.form-equipment p:nth-of-type(-n + 3),
.form-equipment p:nth-last-of-type(-n + 1) {
	grid-column: 1 / -1;
}

/* CF7 required asterisk positioning */
.form-equipment label {
	display: flex;
	flex-direction: row;
	align-items: center;
	flex-wrap: wrap;
}

.form-equipment label .wpcf7-form-control {
	order: 2;
	/* Move input after label text */
	width: 100%;
}

.form-equipment label .wpcf7-not-valid {
	order: 2;
}

.form-equipment label .wpcf7-form-control-wrap {
	order: 2;
	width: 100%;
}

/* Position asterisk inline with label */
.form-equipment label::after {
	content: attr(data-required);
	color: #dc3232;
	margin-left: 0.25rem;
	font-weight: bold;
	order: 1;
}

.wpcf7-form.form-equipment p:has(.wpcf7-validates-as-required) label::after {
	content: "";
	margin: 0 0.2em 0;
	position: relative;
	top: -10px;
	padding: 0.15em;
	background: url(data:image/svg+xml;utf8,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20128%20128%22%3E%3Cpath%20fill=%22%23000000%22%20d=%22M110%2016%2076%2057v1l51-10v32l-51-9-1%201%2035%2039-28%2017-18-50-1%201-18%2049-28-17%2034-40-50%209V48l50%2010v-1L17%2017%2046%201l17%2048h1L82%201l28%2015z%22/%3E%3C/svg%3E) no-repeat 0 25%;
}

.form-equipment .wpcf7-checkbox {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-row-gap: var(--wp--preset--spacing--s);
    grid-column-gap: var(--wp--preset--spacing--l);
    flex-direction: column;
}

p.checkbox-wrapper-label {
	margin-bottom: -1rem;
}

.form-equipment .section-label {
    grid-column: 1 / -1;
}


@media (max-width: 670px) {
	.wpcf7-form p {
		grid-column: 1/-1;
	}
}

@media (max-width: 529px) {
	.form-equipment .wpcf7-checkbox {
		grid-template-columns: 1fr;
		grid-gap: var(--wp--preset--spacing--xs);
		flex-direction: column;
	}
}

span.cf7-helper-icon {
	color: var(--wp--custom--color--error);
}

.cf7-helper-text {
	font-size: var(--wp--preset--font-size--xxs);
	display: block;
	margin-bottom: var(--wp--preset--spacing--s);
}

/* Media
========================================================================== */

/* Images */

/* Video */

/* Iframe & embedded */

/* ==========================================================================
Layout
========================================================================== */

/* Paddings and margins
========================================================================== */

.entry-content > .qt-section:is(.is-style-subhero, .is-style-hero):first-of-type {
	padding-top: 0 !important;
}

/* Max widths
========================================================================== */

/* Grids
========================================================================== */

.grid-col-1 {
	grid-gap: calc(1.5 * var(--wp--style--block-gap));
}

.grid-col-2 {
	grid-gap: calc(1.5 * var(--wp--style--block-gap));
}

@media (max-width: 980px) {
	.grid {
		grid-gap: var(--wp--style--block-gap);
	}
}

/* ==========================================================================
Announcement bar
========================================================================== */

.announcement-bar {
	background-color: var(--wp--preset--color--blue);
}

.announcement-bar p,
.announcement-bar a {
	font-size: var(--wp--preset--font-size--xxs);
}

/* ==========================================================================
Top bar
========================================================================== */

/* ==========================================================================
Header
========================================================================== */

.is-style-header-top .grid {
	grid-template-columns: auto 1fr;
}

.is-style-header-top .qt-container:has(.mega-menu:not(.mega-menu-mobile)) {
	justify-content: space-between;
	gap: 0;
}
@media (max-width: 1200px) {
	.is-style-header-top .qt-container:has(.mega-menu:not(.mega-menu-mobile)) {
		justify-content: flex-end;
		gap: 0;
	}
}


/* Desktop menu
========================================================================== */

header .menu .menu-item a,
header .menu .menu-item span {
	font-size: var(--wp--preset--font-size--xs);
}

/* 
* Show sub menu on hover
* Only for dropdowns where trigger is <a> and <span>, mega menu is not active
*/
@media (min-width: 1200px) {
	header .menu .menu-item > :is(a, span) + .sub-menu {
		display: none;
		position: absolute;
		left: auto;
		background-color: var(--wp--preset--color--white);
		list-style: none;
		width: 250px;
		max-height: calc(100vh - var(--wp--custom--header-height--total));
		padding: var(--wp--preset--spacing--m) var(--wp--preset--spacing--m);
		box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.1);
		z-index: 1;
		border-radius: 0;
		margin: 0 -1.5rem;
	}

	header .menu .menu-item > :is(a, span):hover + .sub-menu,
	header .menu .menu-item:hover > :is(a, span) + .sub-menu {
		display: flex;
		flex-direction: column;
		gap: var(--wp--preset--spacing--xs);
	}

	header .menu > .menu-item {
		height: var(--wp--custom--header-height--top);
	}

	header .menu .menu-item a,
	header .menu .menu-item span {
		height: 100%;
		display: flex;
		align-items: center;
		cursor: pointer;
	}
}

/* Site logo */
.qt-container:has(.wp-block-site-logo) {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: var(--wp--preset--spacing--s);
}

@media (max-width: 670px) {
	.wp-block-site-logo img {
		max-width: 200px;
	}

	.qt-container:has(.wp-block-site-logo) .wp-block-image {
		display: none;
	}
}

/* Header button */

@media (min-width: 1201px) {
    .qt-container:has(.hamburger) .wp-block-buttons {
        margin-left: var(--wp--preset--spacing--s);
    }
}

@media (max-width: 1200px) {
    .qt-container:has(.hamburger) .wp-block-buttons {
        margin-right: var(--wp--preset--spacing--s);
    }
}

@media (max-width: 768px) {
    header .wp-block-buttons {
        display: inline-block;
    }
}

@media (max-width: 485px) {
    header .wp-block-buttons.header-btn .wp-block-button__link {
        padding: 5px 7px;
    	font-size: 0px;
    }
}


/* Hamburger icon
========================================================================== */

@media (max-width: 670px) {
	.is-style-header-top .qt-container:has(.mega-menu:not(.mega-menu-mobile)) {
		display: flex;
	}
}

/* User toolbar
========================================================================== */

/* Search bar
========================================================================== */

/* ==========================================================================
Footer
========================================================================== */

.is-style-footer-top .grid {
	grid-template-columns: 1.25fr 1fr 1fr;
	grid-gap: calc(2 * var(--wp--style--block-gap));
}

.is-style-footer-top .qt-container:first-of-type {
	max-width: 90%;
}

.is-style-footer-bottom .copyright {
	color: var(--wp--preset--color--white);
	font-size: var(--wp--preset--font-size--xxs);
}

.is-style-footer-bottom .wp-block-list {
	color: var(--wp--preset--color--white);
	list-style: none;
	padding-left: 0;
	margin-left: 0;
	display: flex;
	flex-direction: row;
	gap: var(--wp--style--block-gap);
	justify-content: flex-end;
	font-size: var(--wp--preset--font-size--xxs);
}

.is-style-footer-bottom .wp-block-list li {
	padding: 0;
	margin: 0;
}

@media (max-width: 980px) {
	.is-style-footer-top .grid {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}

	.is-style-footer-top .qt-container:first-of-type {
		grid-column: 1/-1;
	}
}

@media (max-width: 768px) {
	.is-style-footer-bottom .grid {
		grid-template-columns: minmax(0, 1fr);
		grid-gap: var(--wp--preset--spacing--s);
	}

	.is-style-footer-bottom .wp-block-list {
		justify-content: flex-start;
	}
}

@media (max-width: 510px) {
	.is-style-footer-top .grid {
		grid-template-columns: minmax(0, 1fr);
		grid-gap: var(--wp--style--block-gap);
	}
}

/* Navigation
========================================================================== */

.is-style-footer-heading {
	font-weight: 600;
	margin-bottom: 1em !important;
}

footer p {
	margin-bottom: 0.5em !important;
}

footer a {
	font-weight: 400;
}

footer a:not(:hover) {
	text-decoration: none;
}

/* ==========================================================================
Utility classes
========================================================================== */

/* ==========================================================================
Components and modules
========================================================================== */

/* Card */
.card:not(.card--employee) .card__image-img {
	aspect-ratio: var(--wp--custom--aspect-ratio--landscape-wide);
}

/* Breadcrumbs
========================================================================== */

/* Pagination
========================================================================== */

/* Current, hover */
:is(.wp-block-query-pagination, .pagination) .page-numbers.current,
:is(.wp-block-query-pagination, .pagination) .page-numbers:hover {
	background-color: var(--wp--preset--color--blue);
}

.wp-block-query-pagination-previous:hover,
.wp-block-query-pagination-next:hover {
	background-color: var(--wp--preset--color--blue);
}

/* Prev, next */
.pagination .page-numbers:is(.prev, .next):hover {
	background-color: var(--wp--preset--color--blue);
}

/* Accordion
========================================================================== */

.wp-block-accordion .wp-block-accordion-item:not(.wp-block-accordion-item:last-of-type) {
    margin-bottom: 2rem;
}

/* Accordion heading */
.wp-block-accordion-heading {
    font-size: var(--wp--preset--font-size--s);
    font-weight: unset;
}
.wp-block-accordion-item .wp-block-accordion-heading button {
	border: 1px solid #ababab;
    padding: .5em .5em;
}

/* Accordion content */
.wp-block-accordion-panel {
    border-style: solid;
    border-width: 0 1px 1px 1px;
    border-color: #ababab;
    padding: 2rem 1rem;
}

.wp-block-accordion-panel p {
    margin-block-end: 0.5em;
}

/* Accordion icon */
.accordion-item__icon {
	width: 18px;
	height: 18px;
}

.accordion-item__icon::before,
.accordion-item__icon::after {
	height: 2.5px;
}

/* Nestled accordions */
.no-border-accordion.wp-block-accordion-item > .wp-block-accordion-heading {
	font-weight: 600;
}
.no-border-accordion.wp-block-accordion-item > .wp-block-accordion-heading > button {
    border: none;
	padding: .5em 0;
}

.no-border-accordion > .wp-block-accordion-panel {
    border-style: none;
    border-width: 0px;
    border-color: #ababab;
    padding: 2rem 0;
}

.wp-block-accordion-panel section:not(section:first-child) {
	margin-top: var(--wp--style--block-gap);
}

.wp-block-accordion section .wp-block-accordion {
	margin-block-end: 30px;
}

html :where([style*=border-width]) {
    border-style: none;
}

/* Tabs
========================================================================== */

/* Splide slider
========================================================================== */

/* Slider header */

/* ==========================================================================
Styles for pages, sections, blocks and others.
========================================================================== */

/* Page: Search results 
========================================================================== */

/* Section: Hero
========================================================================== */

.entry-content > .qt-section:is(.is-style-hero):first-of-type {
	margin-bottom: 0;
}

.is-style-hero .wp-block-cover {
	height: calc(100vh - var(--wp--custom--header-height--total));
	max-height: 700px;
}

/* Section: Subhero
========================================================================== */

.is-style-subhero .wp-block-cover {
	min-height: 500px;
}

.is-style-subhero .wp-block-cover__inner-container {
	max-width: var(--wp--style--global--content-size);
	margin-left: auto;
	margin-right: auto;
}

@media (max-width: 768px) {
	.qt-section.is-style-subhero .wp-block-cover {
		min-height: 300px;
	}
}

/* Section: Stacked boxes
========================================================================== */

@media (min-width: 769px) {
	.is-style-stacked-boxes .is-style-text-column {
		padding: var(--wp--preset--spacing--l) var(--wp--preset--spacing--l);
	}
}

@media (max-width: 768px) {
	.is-style-stacked-boxes .is-style-text-column:not(.has-background) {
		padding: 0 var(--wp--preset--spacing--m);
	}
}

/* Block: Slider - Logos
========================================================================== */

/* Archive: Category
========================================================================== */

/* Articles
========================================================================== */

/* Card */
.card--article {
	gap: var(--wp--preset--spacing--xs);
}

.card--article .card__image {
	aspect-ratio: var(--wp--custom--aspect-ratio--landscape-wide);
}

.card--article .card__postmeta-category {
	font-weight: 500;
	font-size: var(--wp--preset--font-size--xs);
	color: var(--wp--preset--color--blue);
}

/* Filter buttons */
.qt-container:has(.articles__filter-buttons) {
	display: grid;
	grid-gap: calc(2 * var(--wp--style--block-gap));
}

.articles__filter-buttons {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	gap: var(--wp--preset--spacing--s);
}

.is-style-button-secondary .wp-block-button__link:hover,
.is-style-button-secondary .wp-block-button__link.active {
	background-color: var(--wp--preset--color--blue);
}

/* Single: Article
========================================================================== */

.single .post-meta__categories a {
	font-weight: 500;
	color: var(--wp--preset--color--blue);
}

.single .post-meta__categories a:not(:hover) {
	text-decoration: none;
}

.single .post-meta__categories::before {
	display: none;
}

.single .wp-block-post-featured-image img {
	aspect-ratio: var(--wp--custom--aspect-ratio--landscape-wide);
	width: 100%;
}

/* Employees
========================================================================== */

/* Employee card */
.card--employee .card__image-img {
	aspect-ratio: var(--wp--custom--aspect-ratio--landscape-wide);
}

.card--employee .card__name {
	font-size: var(--wp--preset--font-size--s);
}

/* Block: Testimonial slider
========================================================================== */

/* Testimonial card */

/* Block: Image gallery with lightbox
========================================================================== */

.image-gallery .pswp-gallery__item img {
	aspect-ratio: var(--wp--custom--aspect-ratio--landscape);
	height: 100%;
	width: 100%;
	object-fit: cover;
}

@media (max-width: 670px) {
	.image-gallery {
		grid-template-columns: repeat(2, minmax(0, 1fr));
		grid-gap: var(--wp--preset--spacing--m);
	}
}

/* Block: FAQ
========================================================================== */

.wp-block-heading + .faq {
	margin-top: var(--wp--preset--spacing--l);
}

.faq .accordion-item {
	padding: var(--wp--preset--font-size--s) var(--wp--preset--spacing--m);
	background-color: var(--wp--preset--color--neutral-2);
}

.faq .accordion-item__heading {
	align-items: baseline;
}

.faq .accordion-item__heading h2 {
	font-weight: 400;
}

/* All containers
========================================================================== */

/* Card */
.card.card--equipment {
	justify-content: space-between;
    gap: var(--wp--preset--spacing--s);
    min-height: max-content;
}

.card--equipment .card__image {
	background-color: var(--wp--preset--color--white);
}

.card--equipment .card__image-img {
	aspect-ratio: var(--wp--custom--aspect-ratio--landscape-wide);
}

.card--equipment .card__content {
	display: grid;
	grid-gap: var(--wp--preset--spacing--xs);
}

.card--equipment .card__title {
	font-size: var(--wp--preset--font-size--l);
	font-weight: 700;
}

.card--equipment .card__details {
	display: flex;
	gap: var(--wp--preset--spacing--l);
	font-size: var(--wp--preset--font-size--xs);
}

.card--equipment .card__detail {
	display: flex;
	flex-direction: column;
}

.card--equipment .card__buttons {
	align-self: baseline;
	margin-top: 0;
	justify-content: flex-start;
	display: flex;
	height: max-content;
}

@media (max-width: 980px) {
	.card--equipment .card__buttons {
		margin-top: var(--wp--preset--spacing--xs);
	}
}

/* All wastetypes
========================================================================== */

/* Card */
.card--wastetype {
	text-decoration: none;
}

.card--wastetype .card__image {
	aspect-ratio: var(--wp--custom--aspect-ratio--landscape-wide);
	background-color: var(--wp--preset--color--neutral-2);
}

.card--wastetype .card__image-img {
	aspect-ratio: var(--wp--custom--aspect-ratio--landscape-wide);
}

/* All waste solutions
========================================================================== */

/* Card */
.card--waste-solution {
	text-decoration: none;
}

.card--waste-solution .card__image {
	aspect-ratio: var(--wp--custom--aspect-ratio--landscape-wide);
	background-color: var(--wp--preset--color--neutral-2);
}

.card--waste-solution .card__image-img {
	aspect-ratio: var(--wp--custom--aspect-ratio--landscape-wide);
}

/* Section: Word list
========================================================================== */

.is-style-word-list .qt-container.is-horizontally-stretched {
	margin-bottom: var(--wp--style--block-gap);
}

.is-style-word-list .grid {
	grid-row-gap: 0;
}

.is-style-word-list .qt-container:not(.is-horizontally-stretched, :last-of-type) {
	margin-bottom: 1em;
}

/* Section: Two columns (has .text-columm)
========================================================================== */

.is-style-text-column {
	padding: 0;
	display: flex;
	flex-direction: column;
}

.is-style-text-column p {
	font-size: var(--wp--preset--font-size--xs);
}

.is-style-text-column p:last-of-type {
	margin-bottom: var(--wp--preset--spacing--l);
}

.is-style-text-column .wp-block-buttons {
	margin-top: auto;
}

/* Block: Timeline
========================================================================== */

.timeline {
	grid-gap: calc(2 * var(--wp--style--block-gap)) var(--wp--style--block-gap);
}

.card--timeline {
	border-left: 1px solid var(--wp--preset--color--neutral-1);
	padding-left: var(--wp--preset--spacing--m);
}

.card--timeline .card__year {
	font-size: var(--wp--preset--font-size--display);
	font-weight: 600;
	line-height: 1;
	margin-bottom: var(--wp--preset--spacing--s);
}

.card--timeline .card__event {
	font-size: var(--wp--preset--font-size--xs);
}

@media (max-width: 510px) {
	.timeline {
		grid-gap: 0;
	}

	.card--timeline:not(:last-of-type) {
		padding-bottom: calc(1.5 * var(--wp--style--block-gap));
	}

	.card.card--timeline {
		position: relative;
	}

	.card.card--timeline::before {
		position: absolute;
		border-radius: 50px;
		content: "";
		height: 16px;
		width: 16px;
		background: var(--wp--preset--color--blue);
		left: -8px;
		margin-top: 0.5rem;
	}
}

/* Block: Dropdown button
========================================================================== */

.dropdown-toggle {
	margin-top: var(--wp--preset--spacing--l);
}

.dropdown-button {
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: var(--wp--preset--spacing--xs);

	padding: var(--wp--preset--spacing--xs) var(--wp--preset--spacing--m);
	border-radius: 0;
	border: 1px solid var(--wp--preset--color--black);
	background-color: transparent;

	font-family: var(--wp--preset--font-family--button);
	font-size: var(--wp--preset--font-size--s);
	line-height: 1;
}

.dropdown-content[hidden] {
	display: none;
}

.dropdown-content {
	margin-top: -1px;
	border: 1px solid var(--wp--preset--color--black);
	background-color: transparent;
	padding: var(--wp--preset--spacing--xs) var(--wp--preset--spacing--m);
}

.dropdown-content li {
	line-height: 2;
}

.dropdown-content a {
	text-decoration: none;
	font-weight: inherit;
}

/* Section: Grid 70% 30%
========================================================================== */

.is-style-grid-70-30 {
	display: grid;
	grid-template-columns: 2fr minmax(0, 1fr);
	grid-gap: var(--wp--style--block-gap);
}

.is-style-grid-70-30 .wp-block-heading {
	margin-bottom: 0;
}

.is-style-grid-70-30 .wp-block-buttons {
	margin: 0;
	align-items: flex-end;
	justify-content: flex-end;
}

@media (max-width: 768px) {
	.is-style-grid-70-30 {
		grid-template-columns: minmax(0, 1fr);
		grid-gap: 0;
	}

	.is-style-grid-70-30 .wp-block-buttons {
		margin-top: var(--wp--preset--spacing--l);
		justify-content: flex-start;
	}
}

/* Section header
========================================================================== */

.is-style-section-header {
	display: flex;
	justify-content: space-between;
}

.is-style-section-header .wp-block-heading,
.is-style-section-header .wp-block-buttons {
	margin: 0;
}

@media (max-width: 670px) {
	.is-style-section-header {
		flex-direction: column;
		gap: var(--wp--preset--spacing--m);
	}
}

/* ==========================================================================
 * Detail list styles
========================================================================== */

.equipment-attributes dl {
	display: grid;
	grid-template-columns: auto 1fr;
	grid-gap: 0;
	margin-top: var(--wp--preset--spacing--m);
	border: 1px solid var(--wp--preset--color--neutral-1);
}

.equipment-attributes dt {
	font-weight: bold;
	grid-column: 1;
	padding: var(--wp--preset--spacing--xxs) var(--wp--preset--spacing--xxs);
	border-right: 1px solid var(--wp--preset--color--neutral-1);
	border-bottom: 1px solid var(--wp--preset--color--neutral-1);
	background-color: var(--wp--preset--color--neutral-3);
}

.equipment-attributes dd {
	grid-column: 2;
	margin: 0;
	padding: var(--wp--preset--spacing--xxs) var(--wp--preset--spacing--xxs);
	border-bottom: 1px solid var(--wp--preset--color--neutral-1);
	text-align: right;
}

.equipment-attributes {
	font-size: var(--wp--preset--font-size--xxs);
}

.equipment-attributes dd:last-of-type {
	border-bottom: none;
}

.equipment-attributes dt:last-of-type {
	border-bottom: none;
}

/* ==========================================================================
 * Single Equipment
========================================================================== */
.qt-section.is-style-equipment-img-and-text .qt-section__inner.grid-col-2 {
    grid-template-columns: 2fr 1fr;
}

/* Guides & files
========================================================================== */
.files-list {
	list-style-type: none;
	padding-left: 0;
}

.files-list li {
	display: flex;
    grid-gap: .5rem;
    margin-bottom: .5rem;
}

.files-list span {
	vertical-align: middle;
}

.files-list a {
	text-decoration: underline;
	font-size: var(--wp--preset--font-size--xxs);
	font-weight: 400;
}

.files-list img {
	filter: invert(41%) sepia(77%) saturate(611%) hue-rotate(158deg) brightness(90%) contrast(96%);
}